%global momorel 1

Name:           python-systemd
Version:        230
Release:        %{momorel}m%{?dist}
Summary:        Python module wrapping systemd functionality
Group:          Development/Libraries

License:        LGPLv2+
URL:            https://github.com/systemd/python-systemd
#Source0:        https://github.com/systemd/python-systemd/archive/v%%{version}.tar.gz
# 'make dist' output from https://github.com/systemd/python-systemd/
Source0:        python-systemd-230.tar.gz

BuildRequires:  systemd-devel
BuildRequires:  python2-devel
#BuildRequires:  web-assets-devel
#Requires:       js-jquery

Provides:       systemd-python = %{version}-%{release}
Provides:       systemd-python%{?_isa} = %{version}-%{release}
Obsoletes:      systemd-python < 230

%global _docdir_fmt %{name}

%description
Python module for native access to the systemd facilities.
Functionality includes sending of structured messages to the journal
and reading journal files, querying machine and boot identifiers and a
lists of message identifiers provided by systemd. Other functionality
provided by libsystemd is also wrapped.

This is the version for Python 2.

%package -n python3-systemd
Summary:        %{summary}
Group:          Development/Libraries
BuildRequires:  python3-devel
BuildRequires:  python3-sphinx >= 1.2.3-2m

Provides:       systemd-python3 = %{version}-%{release}
Provides:       systemd-python3%{?_isa} = %{version}-%{release}
Obsoletes:      systemd-python3 < 230

%description -n python3-systemd
Python module for native access to the systemd facilities.
Functionality includes sending of structured messages to the journal
and reading journal files, querying machine and boot identifiers and a
lists of message identifiers provided by systemd. Other functionality
provided by libsystemd is also wrapped.

This is the version for Python 3.

%prep

%setup -q

%build

make PYTHON=%{__python2} build
make PYTHON=%{__python3} build
make PYTHON=%{__python3} SPHINX_BUILD=sphinx-build-3 sphinx-html
rm -r build/docs/.buildinfo build/docs/.doctrees

%install
%make_install PYTHON=%{__python2}
%make_install PYTHON=%{__python3}
mkdir -p %{buildroot}%{_pkgdocdir}
cp -rv build/docs %{buildroot}%{_pkgdocdir}/
#%ln -vsf %{_jsdir}/jquery/latest/jquery.min.js %{buildroot}%{_pkgdocdir}/html/_static/jquery.js
cp -p README.md %{buildroot}%{_pkgdocdir}

%files
%doc LICENSE.txt
%doc %{_pkgdocdir}
%{python2_sitearch}/*

%files -n python3-systemd
%doc LICENSE.txt
%doc %{_pkgdocdir}
%{python3_sitearch}/*

%changelog
* Tue Sep 29 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (230-1m)
- Initial commit Momonga Linux

* Mon Jul  6 2015 Zbigniew Jędrzejewski-Szmek <zbyszek@laptop> - 230-1
- Initial packaging
